std::decimal::decimal128 Class Reference

`#include <decimal>`

## Public Types

typedef float __decfloat128 | __attribute__((mode(TD)))

## Public Member Functions

| decimal128 (__decfloat128 __z)
| decimal128 (decimal32 d32)
| decimal128 (decimal64 d64)
| decimal128 (double __r)
| decimal128 (float __r)
| decimal128 (int __z)
| decimal128 (long __z)
| decimal128 (long double __r)
| decimal128 (long long __z)
| decimal128 (unsigned int __z)
| decimal128 (unsigned long __z)
| decimal128 (unsigned long long __z)
__decfloat128 | __getval (void)
void | __setval (__decfloat128 __x)
| operator long long () const
decimal128 & | operator*= (decimal128 __rhs)
decimal128 & | operator*= (decimal32 __rhs)
decimal128 & | operator*= (decimal64 __rhs)
decimal128 & | operator*= (int __rhs)
decimal128 & | operator*= (long __rhs)
decimal128 & | operator*= (long long __rhs)
decimal128 & | operator*= (unsigned int __rhs)
decimal128 & | operator*= (unsigned long __rhs)
decimal128 & | operator*= (unsigned long long __rhs)
decimal128 & | operator++ ()
decimal128 | operator++ (int)
decimal128 & | operator+= (decimal128 __rhs)
decimal128 & | operator+= (decimal32 __rhs)
decimal128 & | operator+= (decimal64 __rhs)
decimal128 & | operator+= (int __rhs)
decimal128 & | operator+= (long __rhs)
decimal128 & | operator+= (long long __rhs)
decimal128 & | operator+= (unsigned int __rhs)
decimal128 & | operator+= (unsigned long __rhs)
decimal128 & | operator+= (unsigned long long __rhs)
decimal128 & | operator-- ()
decimal128 | operator-- (int)
decimal128 & | operator-= (decimal128 __rhs)
decimal128 & | operator-= (decimal32 __rhs)
decimal128 & | operator-= (decimal64 __rhs)
decimal128 & | operator-= (int __rhs)
decimal128 & | operator-= (long __rhs)
decimal128 & | operator-= (long long __rhs)
decimal128 & | operator-= (unsigned int __rhs)
decimal128 & | operator-= (unsigned long __rhs)
decimal128 & | operator-= (unsigned long long __rhs)
decimal128 & | operator/= (decimal128 __rhs)
decimal128 & | operator/= (decimal32 __rhs)
decimal128 & | operator/= (decimal64 __rhs)
decimal128 & | operator/= (int __rhs)
decimal128 & | operator/= (long __rhs)
decimal128 & | operator/= (long long __rhs)
decimal128 & | operator/= (unsigned int __rhs)
decimal128 & | operator/= (unsigned long __rhs)
decimal128 & | operator/= (unsigned long long __rhs)

## Detailed Description

3.2.4 Class decimal128.

Definition at line 399 of file decimal.

## Member Typedef Documentation

## __attribute__

typedef float __decfloat128 std::decimal::decimal128::__attribute__((mode(TD)))

Definition at line 402 of file decimal.

## Constructor & Destructor Documentation

## decimal128() [1/11]

std::decimal::decimal128::decimal128 | ( |  | ) |

inline

Definition at line 405 of file decimal.

## decimal128() [2/11]

std::decimal::decimal128::decimal128 | ( | float | __r | ) |

inline explicit

Definition at line 410 of file decimal.

## decimal128() [3/11]

std::decimal::decimal128::decimal128 | ( | double | __r | ) |

inline explicit

Definition at line 411 of file decimal.

## decimal128() [4/11]

std::decimal::decimal128::decimal128 | ( | long double | __r | ) |

inline explicit

Definition at line 412 of file decimal.

## decimal128() [5/11]

std::decimal::decimal128::decimal128 | ( | int | __z | ) |

inline

Definition at line 416 of file decimal.

## decimal128() [6/11]

std::decimal::decimal128::decimal128 | ( | unsigned int | __z | ) |

inline

Definition at line 417 of file decimal.

## decimal128() [7/11]

std::decimal::decimal128::decimal128 | ( | long | __z | ) |

inline

Definition at line 418 of file decimal.

## decimal128() [8/11]

std::decimal::decimal128::decimal128 | ( | unsigned long | __z | ) |

inline

Definition at line 419 of file decimal.

## decimal128() [9/11]

std::decimal::decimal128::decimal128 | ( | long long | __z | ) |

inline

Definition at line 420 of file decimal.

## decimal128() [10/11]

std::decimal::decimal128::decimal128 | ( | unsigned long long | __z | ) |

inline

Definition at line 421 of file decimal.

## decimal128() [11/11]

std::decimal::decimal128::decimal128 | ( | __decfloat128 | __z | ) |

inline

Conforming extension: Conversion from scalar decimal type.

Definition at line 424 of file decimal.

## Member Function Documentation

## __getval()

__decfloat128 std::decimal::decimal128::__getval | ( | void |  | ) |

inline

Definition at line 481 of file decimal.

## __setval()

void std::decimal::decimal128::__setval | ( | __decfloat128 | __x | ) |

inline

Definition at line 482 of file decimal.

## operator long long()

std::decimal::decimal128::operator long long | ( |  | ) | const

inline explicit

Definition at line 429 of file decimal.

## operator++() [1/2]

decimal128 & std::decimal::decimal128::operator++ | ( |  | ) |

inline

Definition at line 433 of file decimal.

## operator++() [2/2]

decimal128 std::decimal::decimal128::operator++ | ( | int |  | ) |

inline

Definition at line 439 of file decimal.

## operator--() [1/2]

decimal128 & std::decimal::decimal128::operator-- | ( |  | ) |

inline

Definition at line 446 of file decimal.

## operator--() [2/2]

decimal128 std::decimal::decimal128::operator-- | ( | int |  | ) |

inline

Definition at line 452 of file decimal.

The documentation for this class was generated from the following file:

- decimal